#------------------------------------------------------------------------------#
# Kalkulacka                                                                   #
#------------------------------------------------------------------------------#

from Tkinter import * 
from math import *
import tkFont

def callback(f, *a):
    """
    Vraci funkci f s nastavenym parametrem a.
    Tato funkce umi osetrit i vice nez jeden parametr.

    Pouziti:
        callback(funkce, arg1, arg2, ..., argn )
    """
    return lambda: f(*a)

class MyApp:

    def big(self):
        print "big"

    def normal(self):
        print "normal"

    def insKey(self, znak):
        print "insKey"+ znak

    def __init__(self, root):
        self.fo = StringVar()
        root.title("Calculator")
        self.font = tkFont.Font(size=10, weight="normal")

        self.la = Label(root, text="0", background="#ffffff", anchor=E, relief=SUNKEN, height=2, font=self.font)
        self.la.pack(fill=X, side=TOP, padx=8, pady=5)

        self.opts = Frame(root, relief=GROOVE)
        self.opts.pack()

        self.nor = Radiobutton(self.opts, text="Normal", variable=self.fo, value="normal", command=self.normal, font=self.font)
        self.nor.pack(side=LEFT)

        self.numbts = Frame(root)
        self.numbts.pack(fill=BOTH, expand=1, padx=4, pady=4)

        self.btn = Button(self.numbts, text="+",width=5, height=2, font=self.font, command=callback(self.insKey, "+"))
        self.btn.grid(row=1, column=3, rowspan=2,sticky=W+E+N+S, padx=2, pady=2)
        self.btn.config(state=DISABLED)
        self.nor.select()

root = Tk()
app = MyApp(root)
root.mainloop()
